Page MenuHomePhabricator

Notify "tech audiences" about signature requirement consultation outcomes
Closed, ResolvedPublic

Description

This task involves the work with making sure people interested in technical matters are made aware of the outcomes of the new signature requirements consultation so they can:

  1. Be prepared to answer questions from people whose signatures would become invalid once the requirements are fully implemented
  2. Be equipped to share news of the new requirements with those who may not have seen the updates we'll have posted to the project page in T254613

Update contents

1. What changes people can expect to the requirements that determine whether a signature is valid or not

2. When and how people can expect these new signature requirements to take effect:

  • Step 1 (the week of 6-July)
    • People will be prevented from setting new signatures that do no meet the new requirements
  • Step 2 (timing TBD)
    • T254616: Messages will be sent to every person whose signatures do not meet the new requirements informing them they will need to update the signature they have set, else these signatures will be replaced by a default signature.
      • These messages will be sent in phases, so not as to overwhelm "you," the people most likely to receive questions about these changes.
  • Step 3 (timing TBD)
    • T255324: people whose signatures still do not meet the new requirements will notice: when they attempt to save a signature that is made invalid by these new requirements (~~~~) to a page, said "signature" will be replaced with that wikis' default signature.

3. Instructions for how people can follow the progress of these changes: watch the proposal page).

Posting locations

This is a list of the relevant technical spaces where announcements should be made. This list is not yet final.

Done

  • Updates containing the "Updating contents" listed above have been posted to the "Posting locations" also listed above.
  • Links to updates are added to the table in the "Posting locations" section above

Related Objects

Event Timeline

ppelberg created this task.Jun 5 2020, 5:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2020, 5:43 PM
ppelberg updated the task description. (Show Details)Jun 5 2020, 5:46 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg moved this task from Backlog to Community Engagement on the Editing-team (Tracking) board.
ppelberg added subscribers: Whatamidoing-WMF, matmarex.
Whatamidoing-WMF triaged this task as High priority.Jun 19 2020, 8:17 PM
Iniquity added a subscriber: Iniquity.EditedJun 22 2020, 2:08 AM

I am thinking of adding this task to Tech-Ambassadors desk. How do you like the idea? :) Or is it better to use another task for this?

Yes, please! I'll send some general announcements as well, but the more, the merrier.

ppelberg updated the task description. (Show Details)Jun 26 2020, 10:45 PM

Update
@Whatamidoing-WMF: I've updated the task description with the following:

  • The time when the first set of software changes – T140606, T230652 and T23770 – are scheduled [i] to land
  • Details about what information the announcement should contain

i. We will need to finalize this in Monday's standup

This is mostly finished.

Hey @Whatamidoing-WMF is this task finished?

Hey @Whatamidoing-WMF is this task finished?

@Whatamidoing-WMF I think all that's left is adding the links to the posts to the task description. Does that sound right to you?

ppelberg updated the task description. (Show Details)Fri, Jul 24, 4:09 PM
Whatamidoing-WMF closed this task as Resolved.Fri, Jul 31, 12:34 AM